=== debian/control ===
Source: ros-one-theora-image-transport
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libogg-dev, libtheora-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-message-generation, ros-one-pluginlib, ros-one-rosbag, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-one-theora-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libogg-dev, libtheora-dev, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-message-runtime, ros-one-pluginlib, ros-one-rosbag, ros-one-std-msgs
Description: Theora_image_transport provides a plugin to image_transport for transparently sending an image stream encoded with the Theora codec.
