## ros-one-theora-image-transport 1.15.0-9noble.20251023.0334

=== debian/changelog ===
ros-one-theora-image-transport (1.15.0-9noble.20251023.0334) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 23 Oct 2025 03:34:39 +0000

ros-one-theora-image-transport (1.15.0-0noble) noble; urgency=high

  * Update maintainer in ros1 branches (#132 <https://github.com/ros-perception/image_transport_plugins/issues/132>)
  * Fix copyright year 20012 -> 2012 (#80 <https://github.com/ros-perception/image_transport_plugins/issues/80>)
  * Contributors: Kenji Brameld, Lucas Walter, Michael Carroll, ijnek, v4hn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-one-theora-image-transport (1.14.0-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#53 <https://github.com/ros-perception/image_transport_plugins/issues/53>)
  * Fix binary install locations for Windows build #34 <https://github.com/ros-perception/image_transport_plugins/issues/34>
  * Contributors: Alejandro Hernández Cordero, David Gossow, Sean Yen

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-theora-image-transport (1.9.5-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.4-0noble) noble; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with 'stdlib.h: No such file or directory',
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.3-0noble) noble; urgency=high

  * remove useless tf dependencies
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.2-0noble) noble; urgency=high

  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 00:00:00 -0000

ros-one-theora-image-transport (1.9.1-0noble) noble; urgency=high

  * Some cleanup in package.xml and CMakeLists.txt
    - builds broke sporadically (I think because of the missing *_gencpp in
    add_dependencies) with missing Packet.h file.
    - I’m no catkin expert, but these changes make catkin_lint happy (no
    more errors at least).
  * Contributors: Nikolaus Demmel

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-one-theora-image-transport (1.9.0-0noble) noble; urgency=high

  * remove __connection_header for indigo see http://github.com/ros-perception/image_transport_plugins.git
  * Contributors: Kei Okada

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 00:00:00 -0000

ros-one-theora-image-transport (1.8.21-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.20-0noble) noble; urgency=high

  * 1.8.19 -> 1.8.20
  * fixing missing theoraenc and theoradec library links
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.19-0noble) noble; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.18-0noble) noble; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 17:59:00 -0000

ros-one-theora-image-transport (1.8.17-0noble) noble; urgency=high

  * 1.8.16 -> 1.8.17
  * fixed color conversion bug in theora_image_transport
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.16-0noble) noble; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.15-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:11:00 -0000

ros-one-theora-image-transport (1.8.14-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:02:00 -0000

ros-one-theora-image-transport (1.8.13-0noble) noble; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 19:06:00 -0000

ros-one-theora-image-transport (1.8.12-0noble) noble; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 19:30:00 -0000

ros-one-theora-image-transport (1.8.11-0noble) noble; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 17:17:00 -0000

ros-one-theora-image-transport (1.8.10-0noble) noble; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 17:03:00 -0000

ros-one-theora-image-transport (1.8.9-0noble) noble; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl


